[Rubygems-developers] gem install --include-dependencies and --install-dir

Todd Fisher todd.fisher at gmail.com
Tue Jun 19 09:45:40 EDT 2007


Hi,

  Attempting to use --include-dependencies with --install-dir fails to pick
up the required gem dependencies for the gem being installed.

For example, try the following:

gem install rails-1.1.6.gem  --include-dependencies
--install-dir=sample/vendor/gems/

I've also tried using the following:

gem install rails --include-dependencies --install-dir=sample/vendor/gems/
--remote  # this works!

However, if I try and pick up a specific version it fails to also install
the dependencies

gem install rails --version 1.1.6 --include-dependencies
--install-dir=sample/vendor/gems/ --remote  # this doesn't work!


This is with the latest gem 0.9.4.

Thanks, for any suggestions or work around!


-Todd
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/rubygems-developers/attachments/20070619/f3694698/attachment.html 


More information about the Rubygems-developers mailing list